> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/brand/brand-content-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Brand content by ID GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/brands/{brandId} Retrieves content items related to a particular brand by ID. Reference: https://developer.nibtravelinsurance.com/reference/products-api/brand/brand-content-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - must be valid but is ignored - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` - `brandId` (long, required, default: 0) — Valid internal brand ID ### Query parameters - `lang` (string, optional) ## Response ### 200 Success - `expirySeconds` (integer, optional) - `code` (string, optional) - `name` (string, optional) - `effectiveToDate` (string, optional) - `contentItems` (list of ContentSummary, optional) - `availableTranslations` (map from string to string, optional) ## Types ### ContentSummary - `type` (string, optional) - `content` (string, optional) ## Examples **Response** ```json { "expirySeconds": 86400, "code": "TIDAU", "name": "name", "effectiveToDate": "1970-01-01T00:00:00Z", "contentItems": [ { "type": "EMAILREPLYTOANDFROM", "content": "\"Travel Insurance Direct UAT\" " }, { "type": "OPTIONDISCLAIMER", "content": "*Including options" }, { "type": "RSPORTALURL", "content": "https://www.travelinsurancedirect.com.au/customer-service/resident-of-australia-definition" }, { "type": "TNCHEADER", "content": "If you have an existing medical condition please read here." }, { "type": "EMAILDOC", "content": "We'll email your policy documents." }, { "type": "EFOOTER", "content": "Travel Insurance Direct © is a registered trademark of Travel Insurance Direct Pty Limited. Travel Insurance Direct Pty Limited ABN 30 121 659 470 AR305589 is an authorised representative of nib Travel Services (Australia) Pty Ltd (nib) ABN 81 115 932 173, AFS Licence No. 308461 and act as nib's agent and not as your agent. This is general advice only. Before you buy, you should consider your needs, the Product Disclosure Statement (PDS) and Target Market Determination (TMD) available from us. This insurance is underwritten by Pacific International Insurance Pty Ltd, ABN 83 169 311 193. TID is located on Governor Macquarie Tower Level 18, 1 Farrer Place, Sydney NSW, 2000 Australia." } ], "availableTranslations": { "key": "value" } } ``` **SDK Code** ```python TIDAU /v1/wn/brands/3 import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript TIDAU /v1/wn/brands/3 const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go TIDAU /v1/wn/brands/3 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby TIDAU /v1/wn/brands/3 require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java TIDAU /v1/wn/brands/3 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000") .header("Authorization", "Bearer ") .asString(); ``` ```php TIDAU /v1/wn/brands/3 request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp TIDAU /v1/wn/brands/3 using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift TIDAU /v1/wn/brands/3 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/brands/1000000")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```